LaTeXML::Util::WWW(3)

NAME
"LaTeXML::Util::WWW" - auxiliaries for web-scalability of LaTeXML's IO

SYNOPSIS
    my $response = auth_get($url,$authlist);

DESCRIPTION
Utilities for enabling general interaction with the World Wide Web in LaTeXML's Input/Output.

Still in development, more functionality is expected at a later stage.

  METHODS

"my $response = auth_get($url,$authlist);"
    Given an authentication list, attempts a get request on a given URL ($url) and returns the $response.

    If no authentication is possible automatically, the routine prompts the user for credentials.

AUTHOR
Deyan Ginev <d.ginev@jacobs-university.de>

COPYRIGHT
Public domain software, produced as part of work done by the United States Government & not subject to copyright in the US.